Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Interface IViewerObservableList

All Superinterfaces:
  Collection, IObservable, IObservableCollection, IObservableList, Iterable, IViewerObservable, List

    public interface IViewerObservableList

extends IObservableList, IViewerObservable

`IObservableList` observing a JFace Viewer.

Since:
  1.2

Method Summary

Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList
`add, addAll, addAll, addListChangeListener, contains, containsAll, equals, get, getElementType, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, move, remove, remove, removeAll, removeListChangeListener, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface java.util.List
`add, clear`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable
`getViewer`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.